"use client";

import { CardStack } from "@/components/ui/card-stack";
import { cn } from "@/lib/utils";

const ImagesCards = () => {
  return (
    <div className="flex w-full items-center justify-center">
      <CardStack offset={6} items={CARDS} />
    </div>
  );
};

// Small utility to highlight the content of specific section of a testimonial content
export const Highlight = ({
  children,
  className,
}: {
  children: React.ReactNode;
  className?: string;
}) => {
  return (
    <span
      className={cn(
        "bg-emerald-100 px-1 py-0.5 font-bold text-emerald-700 dark:bg-emerald-700/[0.2] dark:text-emerald-500",
        className
      )}
    >
      {children}
    </span>
  );
};

const CARDS = [
  {
    id: 0,
    imageUrl: "/flag.png",
    className: "p-0",
  },
  {
    id: 1,
    imageUrl: "/swimming-pool.png",
    className: "p-0",
  },
  {
    id: 2,
    imageUrl: "/about.png",
    className: "p-0",
  },
];

export default ImagesCards;
